summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorschodet2005-11-04 18:55:01 +0000
committerschodet2005-11-04 18:55:01 +0000
commiteba7ca54120691963777f5a6f3a07b31053d4ec5 (patch)
treea536e1a72ff7a24f978fd95687b724ead6c8cd32
parent7e2e60c7d2886757b5d980cfff48316f86f8f9a8 (diff)
Ajout d'un filtre.
-rwxr-xr-xd/sys/lampion/local/sbin/post-commit8
1 files changed, 7 insertions, 1 deletions
diff --git a/d/sys/lampion/local/sbin/post-commit b/d/sys/lampion/local/sbin/post-commit
index 18cc328..39d99c5 100755
--- a/d/sys/lampion/local/sbin/post-commit
+++ b/d/sys/lampion/local/sbin/post-commit
@@ -3,9 +3,15 @@
REPOS=$1
REV=$2
AUTHOR=$(svnlook author -r $REV $REPOS)
+L=10 # Max dirs-changed
+# Exit if only a xxx change.
+#svnlook dirs-changed -r $REV $REPOS | grep -qv '^xxx/.' || exit
+
+# Send message
(
echo "SVN commit r$REV by $AUTHOR in $REPOS:"
svnlook log -r $REV $REPOS | sed -e '/^$/d' -e 's/^/| /'
-svnlook dirs-changed -r $REV $REPOS | sed -e 's/^/> /'
+svnlook dirs-changed -r $REV $REPOS | \
+ sed -e $L's/.*/> .../' -e $L'q' -e 's/^/> /'
) | /usr/local/sbin/apbteambot-say